POE::Component::Client::HTTP::RequestFactory(3)

NAME
POE::Component::Client::HTTP::RequestFactory - an HTTP request factory object

VERSION
version 0.949

SYNOPSIS
  # Used internally by POE::Component::Client::HTTP

CONSTRUCTOR

  new
Create a new request factory object. It expects its parameters in a hashref.

The following parameters are accepted. They are explained in detail in POE::Component::Client::HTTP.

•   Agent

•   MaxSize

•   Streaming

•   Protocol

•   From

•   CookieJar

•   NoProxy

•   Proxy

•   FollowRedirects

•   Timeout

METHODS

  timeout [$timeout]
Method that lets you query and/or change the timeout value for requests created by this factory.

  is_streaming
Accessor for the Streaming parameter

  agent
Accessor to the Agent parameter

  from
getter/setter for the From parameter

  create_request
Creates a new POE::Component::Client::HTTP::Request

  max_response_size
Method to retrieve the maximum size of a response, as set by the "MaxSize" parameter to Client::HTTP's spawn() method.

  block_size
Accessor for the Streaming parameter

  frob_cookies $response
Store the cookies from the HTTP::Response parameter passed into our cookie jar

  max_redirect_count [$count]
Function to get/set the maximum number of redirects to follow automatically. This allows you to retrieve or modify the value you passed with the FollowRedirects parameter to Client::HTTP's "spawn" method.

  parse_proxy $proxy
This static method is used for parsing proxies. The $proxy can be array reference like [host, port] or comma separated string like "http://1.2.3.4:80/,http://2.3.4.5:80/".

parse_proxy() returns an array reference of two-element tuples (also array ferences), each containing a host and a port:

  [ [ host1, port1 ],
    [ host2, port2 ],
    ...
  ]